# Uses of Interface
org.opensaml.soap.wstrust.RequestSecurityToken

Packages that use RequestSecurityToken
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of RequestSecurityToken in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return types with arguments of type RequestSecurityToken
Modifier and Type
Method
Description
`List<RequestSecurityToken>`
RequestSecurityTokenCollection.`getRequestSecurityTokens()`
Returns the list of wst:RequestSecurityToken child elements contained in the RSTC.

## Uses of RequestSecurityToken in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement RequestSecurityToken
Modifier and Type
Class
Description
`class`
`RequestSecurityTokenImpl`
RequestSecurityTokenImpl.
Fields in org.opensaml.soap.wstrust.impl with type parameters of type RequestSecurityToken
Modifier and Type
Field
Description
`private final List<RequestSecurityToken>`
RequestSecurityTokenCollectionImpl.`requestSecurityTokens`
The list of wst:RequestSecurityToken child elements.
Methods in org.opensaml.soap.wstrust.impl that return RequestSecurityToken
Modifier and Type
Method
Description
`RequestSecurityToken`
RequestSecurityTokenBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`RequestSecurityToken`
RequestSecurityTokenBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.soap.wstrust.impl that return types with arguments of type RequestSecurityToken
Modifier and Type
Method
Description
`List<RequestSecurityToken>`
RequestSecurityTokenCollectionImpl.`getRequestSecurityTokens()`
Returns the list of wst:RequestSecurityToken child elements contained in the RSTC.